# SoInterpolateFloat Class Reference
[Engine classes]

`#include <Inventor/engines/SoInterpolateFloat.h>`

Inheritance diagram for SoInterpolateFloat:

List of all members.

## Detailed Description

The SoInterpolateFloat class is used to interpolate two floating point values.

## Public Attributes

SoMFFloat | input0
SoMFFloat | input1

## Member Data Documentation

SoMFFloat SoInterpolateFloat::input0

| First set of input values.

SoMFFloat SoInterpolateFloat::input1

| Second set of input values.

The documentation for this class was generated from the following files:

- SoInterpolateFloat.h
- SoInterpolateFloat.cpp